POST
/bases/views/deleteDelete a view from a base
Deletes a view from a base. Supply the base's page ID and the view ID to identify the view to remove.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The base and view to delete.
pageIdstringrequired
Id of the base. A base *is* a page, so this is the base's page id - the same id you would pass to the page endpoints.
viewIdstringrequired
The UUID of the view to delete.
200Returns the response payload confirming that the view was deleted.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
403Returned when access is forbidden or bases are not included in the current licence.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the base is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when access is forbidden or bases are not included in the current licence. A 404 is returned when the base is not found. pageId and viewId must be UUIDs identifying the base and view.